Package org.eclipse.lemminx

## Class XMLWorkspaceService

- java.lang.Object
- - org.eclipse.lemminx.XMLWorkspaceService

All Implemented Interfaces:
  `IXMLCommandService`, `org.eclipse.lsp4j.services.WorkspaceService`

    public class XMLWorkspaceService
    extends Object
    implements org.eclipse.lsp4j.services.WorkspaceService, IXMLCommandService

XML workspace service.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.lemminx.services.extensions.commands.IXMLCommandService

`IXMLCommandService.IDelegateCommandHandler`

### Constructor Summary

Constructors
`XMLWorkspaceService​(XMLLanguageServer xmlLanguageServer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `didChangeConfiguration​(org.eclipse.lsp4j.DidChangeConfigurationParams params)`
`void` `didChangeWatchedFiles​(org.eclipse.lsp4j.DidChangeWatchedFilesParams params)`
`void` `didChangeWorkspaceFolders​(org.eclipse.lsp4j.DidChangeWorkspaceFoldersParams params)`
`void` `endCommandsRegistration()`
`CompletableFuture<Object>` `executeClientCommand​(org.eclipse.lsp4j.ExecuteCommandParams command)` Executes a command via the client.
`CompletableFuture<Object>` `executeCommand​(org.eclipse.lsp4j.ExecuteCommandParams params)`
`void` `registerCommand​(String commandId, IXMLCommandService.IDelegateCommandHandler handler)` Registers a command with the language server
`void` `unregisterCommand​(String commandId)` Unregisters the command from the language server

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.lemminx.services.extensions.commands.IXMLCommandService

`beginCommandsRegistration`

### Methods inherited from interface org.eclipse.lsp4j.services.WorkspaceService

`diagnostic, didCreateFiles, didDeleteFiles, didRenameFiles, resolveWorkspaceSymbol, symbol, willCreateFiles, willDeleteFiles, willRenameFiles`

### Constructor Detail

#### XMLWorkspaceService

    public XMLWorkspaceService​(XMLLanguageServer xmlLanguageServer)

### Method Detail

#### executeCommand

    public CompletableFuture<Object> executeCommand​(org.eclipse.lsp4j.ExecuteCommandParams params)

Specified by:
  `executeCommand` in interface `org.eclipse.lsp4j.services.WorkspaceService`

#### didChangeConfiguration

    public void didChangeConfiguration​(org.eclipse.lsp4j.DidChangeConfigurationParams params)

Specified by:
  `didChangeConfiguration` in interface `org.eclipse.lsp4j.services.WorkspaceService`

#### didChangeWorkspaceFolders

    public void didChangeWorkspaceFolders​(org.eclipse.lsp4j.DidChangeWorkspaceFoldersParams params)

Specified by:
  `didChangeWorkspaceFolders` in interface `org.eclipse.lsp4j.services.WorkspaceService`

#### didChangeWatchedFiles

    public void didChangeWatchedFiles​(org.eclipse.lsp4j.DidChangeWatchedFilesParams params)

Specified by:
  `didChangeWatchedFiles` in interface `org.eclipse.lsp4j.services.WorkspaceService`

#### registerCommand

    public void registerCommand​(String commandId,
                                IXMLCommandService.IDelegateCommandHandler handler)

Description copied from interface: `IXMLCommandService`
Registers a command with the language server

Specified by:
  `registerCommand` in interface `IXMLCommandService`
Parameters:
  `commandId` - unique id of the command
  `handler` - command handler function

#### unregisterCommand

    public void unregisterCommand​(String commandId)

Description copied from interface: `IXMLCommandService`
Unregisters the command from the language server

Specified by:
  `unregisterCommand` in interface `IXMLCommandService`
Parameters:
  `commandId` - unique id of the command to unregister

#### executeClientCommand

    public CompletableFuture<Object> executeClientCommand​(org.eclipse.lsp4j.ExecuteCommandParams command)

Description copied from interface: `IXMLCommandService`
Executes a command via the client. The command can be registered by any language server

Specified by:
  `executeClientCommand` in interface `IXMLCommandService`
Parameters:
  `command` - the LSP command
Returns:
  the result of the command

#### endCommandsRegistration

    public void endCommandsRegistration()

Specified by:
  `endCommandsRegistration` in interface `IXMLCommandService`